# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/commons-cli/commons-cli-1.0-r4.ebuild,v 1.4 2004/10/16 17:04:14 axxo Exp $

inherit java-pkg eutils

DESCRIPTION="Jelly is a tool for turning XML into executable code. So Jelly is a Java and XML based scripting and processing engine."
HOMEPAGE="http://jakarta.apache.org/commons/jelly/jelly-tags/log"
SRC_URI="mirror://gentoo/commons-jelly-tags-log/${PF}.tar.gz"
DEPEND=">=virtual/jdk-1.3
	dev-java/ant
	=dev-java/commons-jelly-1.0_beta4
	dev-java/commons-jelly-tags-junit"
RDEPEND=">=virtual/jdk-1.3"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="jikes doc"
S=${WORKDIR}/jakarta-commons/jelly/jelly-tags/log

src_unpack(){
    unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/${PF}-gentoo.diff
	mkdir -p target/lib
	cd target/lib
	java-pkg_jar-from commons-logging
	java-pkg_jar-from commons-lang
	java-pkg_jar-from commons-collections
	java-pkg_jar-from commons-jexl
	java-pkg_jar-from commons-beanutils
	java-pkg_jar-from commons-cli-1
	java-pkg_jar-from commons-discovery
	java-pkg_jar-from dom4j-1
	java-pkg_jar-from jaxen-1.1
	java-pkg_jar-from xerces-2
	java-pkg_jar-from commons-jelly
	java-pkg_jar-from commons-jelly-tags-junit
}

src_compile(){
	cd $S
	local antflags="jar"
	use jikes && antflags="${antflags} -Dbuild.compiler=jikes"
	use doc && antflags="${antflags} javadoc"
	ant ${antflags} || die "compile failed"
}

src_install(){
	cd $S
	java-pkg_dojar target/commons-jelly*.jar
	use doc && java-pkg_dohtml -r target/doc/*
}
